sendfile (2.1b.20080616-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for sendfile.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:35:27 +0100

sendfile (2.1b.20080616-9) unstable; urgency=medium

  * QA upload.
  * debian/NMU-Disclaimer: Dropped, the package is now orphaned.
  * debian/control:
    + Use up-to-date homepage field.
    + Add new Vcs-* fields to indicate usage of git packaging repo
      under Salsa Debian GitLab.
    + Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/source/format: Convert to "3.0 (quilt)" format.
  * debian/patches: Convert direct source code changes into patch
    series.
  * debian/changelog: Remove trailing spaces.
  * debian/copyright: Fix typo.
  * debian/rules: Drop useless Makefile targets
    (source diff, dsc, checkroot, dist).
  * debian/rules: Add recommended targets (build-arch, build-indep).
  * debian/rules: Remove trailing spaces.
  * debian/sf_cleanup: Replace missing tempfile(1) call with mktemp(1).
    (Closes: #969409)

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 00:24:49 -0400

sendfile (2.1b.20080616-8) unstable; urgency=medium

  * No-change upload to ensure migration to testing. Thanks to Vagrant
    Cascadian for the heads-up.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Dec 2020 16:26:59 +0000

sendfile (2.1b.20080616-7) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #776938)
  * Move Homepage field to source package from binary package.
  * Specify "1.0" as an explicit source format.
  * Remove duplicate "Section: net" and "Priority: optional" from
    debian/control.
  * Add missing "set -e" to preinst script. (Closes: #866268)
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 21 Dec 2020 11:20:18 +0000

sendfile (2.1b.20080616-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #934436)
  * Using new DH level format. Consequently:
      - debian/control: added debhelper-compat to Build-Depends field.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Junior Figueredo <juniorfg.debian@outlook.com>  Wed, 13 May 2020 08:43:38 -0300

sendfile (2.1b.20080616-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #726495)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:46:19 +0800

sendfile (2.1b.20080616-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't edit /etc/services, /etc/profile and /etc/csh.login
  * Cleanup edits to those files from previous versions
    Closes: #685631
  * Depend on update-inetd because the postinst script requires the perl
    module DebianNet
  * Depend on libdpkg-perl for version checks in postinst script

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 25 Aug 2012 11:03:41 +0200

sendfile (2.1b.20080616-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove all files on purge.  Thanks for the patch to
    Andreas Beckmann <debian@abeckmann.de>
    Closes: #668721

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2012 15:03:55 +0200

sendfile (2.1b.20080616-5) unstable; urgency=low

  * Add new config file /etc/profile.d/sendfile and remove old line from
    /etc/profile if it is detected during installation (closes: Bug#17545)

 -- Joey Schulze <joey@infodrom.org>  Mon, 13 Jun 2011 17:01:09 +0200

sendfile (2.1b.20080616-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Check if /etc/cron.weekly/sendfile is unmodified when upgrading from
    lenny, and remove it if so; avoids spurious dpkg warning (closes: #606777)

 -- Chris Butler <chrisb@debian.org>  Sun, 19 Dec 2010 15:31:42 +0000

sendfile (2.1b.20080616-4) unstable; urgency=low

  * Terminate weekly cronjob (sf_cleenup) preemptively when no sendfile
    program exists (closes: Bug#571935)
  * Clean up temporary directory before exiting during weekly cronjob

 -- Joey Schulze <joey@infodrom.org>  Sun, 22 Aug 2010 14:49:42 +0200

sendfile (2.1b.20080616-3) unstable; urgency=low

  * Adjust configuration file path in manpages to reality (closes: Bug#540818)
  * Update config.guess and config.sub in develop from automake 1.11
    (closes: Bug#535738)
  * Convert Authors and Thanks files to UTF-8 when adding to copyright file
  * Explicitly specify version 2 of GPL as license
  * Remove absolute path from postrm script

 -- Joey Schulze <joey@infodrom.org>  Mon, 25 Jan 2010 16:20:59 +0100

sendfile (2.1b.20080616-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile"
    by adding /etc/cron.weekly/sendfile to debian/conffiles (closes: #553563).
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" (closes: #553850).

 -- Gregor Herrmann <gregoa@debian.org>  Sat, 28 Nov 2009 13:50:59 +0100

sendfile (2.1b.20080616-2) unstable; urgency=low

  * Adjusted permissions of logrotate file, thanks to Jan Sievers
    <sievers@zedat.fu-berlin.de> (closes: Bug#487079)

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 20:16:01 +0200

sendfile (2.1b.20080616-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-06-16
  * Adjusted source URL
  * Corrected receive(1) manpage

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 08:50:20 +0200

sendfile (2.1b.20080311-2) unstable; urgency=low

  * Fix NULL pointer dereference in src/sendfile.c by Ulf Fischer
    <ulf@isdoof.de> (closes: Bug#485285)

 -- Joey Schulze <joey@infodrom.org>  Mon, 16 Jun 2008 11:41:30 +0200

sendfile (2.1b.20080311-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-03-11
  * Added new homepage address

 -- Joey Schulze <joey@infodrom.org>  Sun, 15 Jun 2008 13:36:13 +0200

sendfile (2.1b-7) unstable; urgency=low

  * Updated lists and addresses
  * Added missing dependency for readline

 -- Martin Schulze <joey@infodrom.org>  Thu, 03 Apr 2008 11:31:25 +0200

sendfile (2.1b-6) unstable; urgency=low

  * Remove $_Id_$ in configuration file (closes: Bug#437418)
  * Added missing buffer termination (closes: Bug#143259)
  * Added new report and cleanup script (closes: Bug#61924)
  * Suggest for PGP to support encrypted transfers (closes: Bug#94633)
  * Removed strip flag from LDFLAGS (closes: Bug#438013)

 -- Martin Schulze <joey@infodrom.org>  Fri, 17 Aug 2007 08:16:01 +0200

sendfile (2.1b-5) unstable; urgency=low

  * Untypo pussy(1) (closes: Bug#421255)
  * Adjusted dependency to inet-superserver

 -- Martin Schulze <joey@infodrom.org>  Sun, 29 Jul 2007 19:38:10 +0200

sendfile (2.1b-4) unstable; urgency=low

  * Only execute update-inetd if the program exists (which is not required
    at postrm stage) (closes: Bug#416753)

 -- Martin Schulze <joey@infodrom.org>  Sat, 31 Mar 2007 13:47:33 +0200

sendfile (2.1b-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove extraneous commands from clean target; we do not need to duplicate
    actions in clean that are already present in the .orig.tar.gz. This fixes
    an FTBFS, since doc/NEWS now seems to be a pure copy of doc/LIESMICH.neu
    and not a symlink, and the .diff.gz can't represent a file becoming a
    symlink. (Closes: #411844)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 28 Feb 2007 17:59:15 +0100

sendfile (2.1b-3) unstable; urgency=low

  * Upstream: correct exit code now on error [src/sendmsg.c]
  * Updated manpage to reflect reality [doc/sendmsg.1]

 -- Martin Schulze <joey@infodrom.org>  Sun, 26 Nov 2006 09:24:32 +0100

sendfile (2.1b-2) unstable; urgency=medium

  * Disabled /usr/doc links since the /usr/share/doc transition is
    finished (closes: Bug#378648)
  * Filesystem cleanup
  * Imported new upstream version of receive(1) (closes: Bug#326606)
  * Stop depending on netbase and depend on update-inetd instead (closes:
    Bug#398553)
  * Use proper path to interpreter for pussy (closes: Bug#394116)
  * Added logrotate configuration (closes: Bug#148201)
  * Added native csh init code configuration (closes: Bug#372088)

 -- Martin Schulze <joey@infodrom.org>  Fri, 17 Nov 2006 19:17:51 +0100

sendfile (2.1b-1) unstable; urgency=low

  * New upstream version 2.1b (closes: Bug#164184)
    . Incorporates IPv6 support
    . Proper quoting of spaces (closes; Bug#143259)
  * Enabled IPv6 experimentally [src/globals.h] (closes: Bug#269749)
  * Moved vorteile into doc/german
  * Installed LIESMICH.spool into doc/german

 -- Martin Schulze <joey@infodrom.org>  Thu,  8 Jun 2006 07:23:58 +0200

sendfile (2.1-27) unstable; urgency=medium

  * Added a disclaimer for those people who plan to NMU this package
  * Fixed typo in NMU-Disclaimer, thanks to Petter Reinholdtsen (See:
    Bug#225895)
  * Added missing boundary checks by Steve Kemp [src/sendfile.c,
    src/sendmsg.c, src/receive.c] (closes: Bug#168110)

 -- Martin Schulze <joey@infodrom.org>  Tue, 30 May 2006 11:01:55 +0200

sendfile (2.1-26) unstable; urgency=low

  * Corrected calculation of free space, also sent upstream (closes:
    Bug#98074)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 22 Nov 2001 23:48:40 +0100

sendfile (2.1-25) unstable; urgency=low

  * Added final newline to pussy(1)
  * Synced with new upstream source (now called 2.1a with
    revision=2001-02-16 upstream, we've had most of it already)
  * Added SHELL=/bin/bash to allow convenient bashisms
  * Added dependency to perl | perl5 since scripts make use of POSIX and
    Getopt::Std
  * Changed path to GPL for reference
  * Added support for /usr/share/doc in postinst
  * Removed superflous cruft in postrm
  * Reorganized postrm
  * Added support for DEB_BUILD_OPTIONS to rules
  * Added support for DEB_BUILD_OPTIONS to makeconfig
  * Moved manpages to /usr/share/doc (closes: Bug#91053)
  * Moved other docs to /usr/share/doc/$(package) as well (closes: Bug#91651)
  * Changed to Standards-Version 3.5.2.0
  * Many thanks to weasel for preparing a sane patch
  * The security problems were fixed, but the BTS wasn't properly
    mentioned (closes: Bug#76048, Bug#78603)
  * One can send files with spaces included.  This was possible with the
    previous version as well, I have no clue where and how this feature
    got lost agian.  (close: Bug#64578)
  * Strip long filenames so they actually fit on the screen and sending
    them doesn't produce funny multiline status reports (closes: Bug#64817)
  * Fixed call to file so it can cope with characters that need to be
    escaped for shell processing (closes: Bug#65912)
  * Removed bashism from /etc/cron.weekly/sendfile (closes: Bug#67069)
  * Added better testing for directories in /etc/cron.weekly/sendfile
    (closes: Bug#67069)
  * Added sfconf program and included a rudimentary manpage (closes: Bug#78578)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 21 Apr 2001 14:28:51 +0200

sendfile (2.1-24) unstable; urgency=high

  * Backported security fix from framstag and Colin Phipps (see Bug#76048)
    - rfopen() for opening files
    - fgetl() as fgets() replacement
    - Some code cleaning
  * Added support for opening temporary files in a secure manner with
    O_CREAT [rfopen()]
  * Corrected source URL
  * Spaces in filenames are accepted again
  * This upload is made to get this security fix reported.  A new version
    will be uploaded soon which fixes other problems and uses new upstream
    source.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 19 Apr 2001 20:28:58 +0200

sendfile (2.1-23) unstable; urgency=low

  * Added pussy(1) manpage (closes: Bug#62931)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 24 Apr 2000 12:18:40 +0200

sendfile (2.1-22) unstable; urgency=low

  * Corrected detection of full spool dir (closes: Bug#61423)
  * Corrected documentation of spool directory (closes: Bug#61423)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 22 Apr 2000 18:28:43 +0200

sendfile (2.1-21) unstable; urgency=low

  * Synced with upstream revision 2000-01-02
  * Improved manpage receive.1 (closes: Bug#55713)
  * Provided check-sendfile for csh as well (closes: Bug#25033)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri,  3 Mar 2000 20:40:00 +0100

sendfile (2.1-20) unstable; urgency=low

  * Corrected perl path for pussy (closes: Bug#53928)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  3 Jan 2000 15:21:40 +0100

sendfile (2.1-19) unstable; urgency=low

  * Removed debug output

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  3 Jan 2000 13:43:37 +0100

sendfile (2.1-18) unstable; urgency=low

  * Corrected date routine, removes y2k bug, thanks to Abdallah Chatila
    <chatila@faxmate.com> (closes: Bug#53817)
  * Corrected use of /etc/sendfile.deny (closes: Bug#52515)
  * Installed new version of pussy, self-explanatory

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  2 Jan 2000 16:51:34 +0100

sendfile (2.1-17) unstable; urgency=low

  * Added missing "fi" (closes: Bug#48776)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 31 Oct 1999 23:40:17 +0100

sendfile (2.1-16) unstable; urgency=low

  * Added exit statement to cron script (closes: Bug#41683)
  * Added removal block for user logfiles
  * Corrected path to sendfile.{deny,allow} (closes: Bug#47163)
  * Removal will now remove the entry from inetd.conf (closes: Bug#47164)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 29 Oct 1999 01:38:40 +0200

sendfile (2.1-15) unstable; urgency=low

  * Corrected last patch and free() memory properly.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  3 Jul 1999 02:27:15 +0200

sendfile (2.1-14) unstable; urgency=low

  * Fixed another bug that prevented us from sending directories
    containing spaces

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu,  1 Jul 1999 12:36:39 +0200

sendfile (2.1-13) unstable; urgency=low

  * Fixed bug that strips filenames at the first space

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 24 Jun 1999 09:06:31 +0200

sendfile (2.1-12) unstable; urgency=low

  * glibc 2.1 fix by Espy (closes: Bug#34903)
  * Added some more tweaking with makeconfig to comply with our directory
    structure (closes: Bug#35760)
  * Addded /var/spool/sendfile/OUTGOING with proper mode

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 23 May 1999 09:48:01 +0200

sendfile (2.1-11) unstable; urgency=low

  * Updated to upstream revision 19990215
  * Removed pussy (Perl User SAFT Server Yin) from package (Bug#33475,
    Bug#33480, Bug#34220)
  * Test for script before executing /usr/bin/check-sendfile
  * Remove call to /usr/bin/check-sendfile by removal and purge

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 13 Mar 1999 11:35:04 +0100

sendfile (2.1-10) unstable; urgency=low

  * Corrected config dir to /etc/ (closes: Bug#32518)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 28 Jan 1999 20:42:42 +0100

sendfile (2.1-9) unstable; urgency=low

  * Updated to upstream version 19980712
  * Standards version 2.4.0.1
  * Updated sendmail.cf

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 26 Jan 1999 22:32:43 +0100

sendfile (2.1-8) frozen unstable; urgency=low

  * Removed prototyping of strdup(), glibc 2.1 fix

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 12 Jan 1999 00:10:49 +0100

sendfile (2.1-7) unstable; urgency=low

  * Added newline into postinst (-> /etc/profile) (closes: Bug#24812)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 21 Jul 1998 02:52:12 +0200

sendfile (2.1-6) frozen; urgency=medium

  * Re-compiled with correct sendfile.cf location (closes: Bug#21367)
  * Corrected manpages to reflect /etc as configuration directory
  * Still this upload only goes into frozen, unstable will be updated to
    the current release soon.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 18 Apr 1998 23:55:25 +0200

sendfile (2.1-5) frozen; urgency=low

  * Corrected clean target to behave correctly when links are present
    (closes: Bug#21339)
  * Upload goes only into frozen, unstable will be updated to the current
    release soon.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 18 Apr 1998 19:59:50 +0200

sendfile (2.1-4) unstable; urgency=low

  * Compiled with modified deb, no files are owned by gid users anymore
    (closes: Bug#20874)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 11 Apr 1998 05:05:24 +0200

sendfile (2.1-3) unstable; urgency=low

  * Renamed wlock(8) to wlock(1) as request from sendfile author
  * Addition for utf7encode(1) from the author

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 20 Mar 1998 00:17:48 +0100

sendfile (2.1-2) unstable; urgency=low

  * Modified Makefile to set links correct as cvs doesn't handle them
    right.
  * Added manpage for wlock(8) and utf7encode(1) (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 19 Mar 1998 11:05:47 +0100

sendfile (2.1-1) unstable; urgency=low

  * New upstream version
  * New Standards-Version 2.4.0.0
  * Added fetchfile and wlock binaries
  * Added check-sendfile(1) manpage (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 11 Feb 1998 03:35:06 +0100

sendfile (1.6-3) unstable; urgency=low

  * Corrected Standards-Version to 2.3.0.1 (Bug#16763)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 9 Jan 1998 02:18:22 +0100

sendfile (1.6-2) unstable; urgency=low

  * Compiled against libc6
  * Flagged cron script executable (Bug#12870)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 31 Dec 1997 22:19:58 +0100

sendfile (1.6-1) unstable; urgency=low

  * Changed Maintainer address to *@debian.org
  * Modified manpages to get them man(7) conforming.
  * Added new documentation to the package.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 17 Jun 1997 23:29:23 +0200

sendfile (1.5-3) unstable; urgency=low

  * Converted into new packaging scheme

 -- Martin Schulze <joey@office.individual.net>  Sun, 23 Feb 1997 12:23:17 +0100

Sun Dec 22 11:47:54 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

        * debian.rules: Installed ChangeLog's

Thu Oct 24 09:26:32 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

        * Corrected domain detection routine. utsname.domainname doesn't
        return the local domain, instead gethostbyname is called.

Wed Oct 23 23:11:25 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

        * debian.cron: Rotate user logfiles in /var/spool/sendfile as well
        as system wide ones

Mon Oct 21 23:30:16 1996  Martin Schulze  <joey@finlandia.infodrom.north.de>

        * Added Debian packaging information

        * Corrected some manpages
